0ccd:0038 [Intel DH57JG] suspend/resume failure

Bug #1238891 reported by Geoffrey Ferrari on 2013-10-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

The problem seems to be caused by a usb tv tuner - the cinergy terratec T2. With this device plugged in, attempting to suspend just results in the machine hanging.

ProblemType: KernelOops
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-12-generic 3.11.0-12.19
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
Annotation: This occured during a previous suspend and prevented it from resuming properly.
ApportVersion: 2.12.5-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ghf 1398 F.... pulseaudio
Date: Fri Oct 11 18:06:32 2013
ExecutablePath: /usr/share/apport/apportcheckresume
Failure: suspend/resume
HibernationDevice: RESUME=UUID=11d11d4e-4a1d-491c-9887-05486ecf2e6f
InstallationDate: Installed on 2013-09-18 (23 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
InterpreterPath: /usr/bin/python3.3
MarkForUpload: True
ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic root=UUID=e2fa14f6-f615-4684-be90-551be90cba4f ro quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: Daemon not responding.
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-12-generic N/A
 linux-backports-modules-3.11.0-12-generic N/A
 linux-firmware 1.116
SourcePackage: linux
Title: suspend/resume failure
UpgradeStatus: Upgraded to saucy on 2013-10-01 (10 days ago)
UserGroups:

dmi.bios.date: 04/28/2011
dmi.bios.vendor: Intel Corp.
dmi.bios.version: JGIBX10J.86A.0656.2011.0428.1959
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DH57JG
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE70930-303
dmi.chassis.type: 2
dmi.modalias: dmi:bvnIntelCorp.:bvrJGIBX10J.86A.0656.2011.0428.1959:bd04/28/2011:svn:pn:pvr:rvnIntelCorporation:rnDH57JG:rvrAAE70930-303:cvn:ct2:cvr:

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.12 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc4-saucy/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

Thanks for your message Joseph. I've just tested with the kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc4-saucy/ and the problem persists so, as requested, I've tagged this with kernel-bug-exists-upstream.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bios-outdated-0663 needs-upstream-testing regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (10.8 KiB)

Dear Christopher,

Many thanks for your email looking into this problem. I

As per your recommendation, I've now updated to the latest BIOS from intel
and to Ubuntu 13.10 but the problem remains unchanged. The output of
running 'sudo dmidecode -s bios-version && sudo dmidecode -s
bios-release-date' is

JGIBX10J.86A.0663.2011.1019.0408
10/19/2011

The problem is that when the Cinergy Terratec T2 is plugged in and working,
then the machine does not suspend properly. It does suspend 'partially',
but there is a blue power light which normally switches off if the machine
successfully suspend but which stays on when the Cinergy device is plugged
in and working and thereafter the machine is unusable - it won't wake back
up and the only thing to do at that stage is to reboot the machine.

So far I've tested this with an upstream kernel and now with the updated
BIOS. I haven't tested it with the updated BIOS and the upstream kernel -
pls let me know if you think that is necessary.

I should add that there doesn't seem to be a problem on Arch Linux -
suspend and resume seems to work fine there.

All best wishes,

Geoffrey

PS I include the output of pm-suspend.log after an unsuccessful suspend

Initial commandline parameters:
Sun Nov 3 15:21:52 GMT 2013: Running hooks for suspend.
Running hook /usr/lib/pm-utils/sleep.d/000kernel-change suspend suspend:
/usr/lib/pm-utils/sleep.d/000kernel-change suspend suspend: success.

Running hook /usr/lib/pm-utils/sleep.d/000record-status suspend suspend:
/usr/lib/pm-utils/sleep.d/000record-status suspend suspend: success.

Running hook /usr/lib/pm-utils/sleep.d/00logging suspend suspend:
Linux blackpearl 3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC
2013 x86_64 x86_64 x86_64 GNU/Linux
Module Size Used by
parport_pc 32701 0
ppdev 17671 0
rfcomm 69070 18
bnep 19564 2
arc4 12608 2
intel_powerclamp 14705 0
coretemp 13435 0
kvm_intel 138538 0
kvm 431315 1 kvm_intel
crct10dif_pclmul 14289 0
crc32_pclmul 13113 0
ghash_clmulni_intel 13259 0
aesni_intel 55624 1
aes_x86_64 17131 1 aesni_intel
lrw 13257 1 aesni_intel
gf128mul 14951 1 lrw
glue_helper 13990 1 aesni_intel
ablk_helper 13597 1 aesni_intel
cryptd 20329 3 ghash_clmulni_intel,aesni_intel,ablk_helper
gpio_ich 13476 0
rt2800usb 27005 0
rt2x00usb 20713 1 rt2800usb
rt2800lib 79963 1 rt2800usb
rt2x00lib 55238 3 rt2x00usb,rt2800lib,rt2800usb
mac80211 596969 3 rt2x00lib,rt2x00usb,rt2800lib
cfg80211 479757 2 mac80211,rt2x00lib
crc_ccitt 12707 1 rt2800lib
dvb_usb_cinergyT2 17978 33
dvb_usb 24215 1 dvb_usb_cinergyT2
dvb_core 117436 1 dvb_usb
btusb 28267 0
bluetooth 371874 22 bnep,btusb,rfcomm
rc_core 27718 1 dvb_usb
snd_hda_codec_hdmi 41276 1
snd_hda_codec_realtek 51465 1
snd_hda_intel ...

Geoffrey Ferrari, could you please test the latest upstream kernel available (not the daily folder, but the one all the way at the bottom) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-0663
removed: bios-outdated-0663
tags: added: kernel-bug-exists-upstream-v3.12-rc4
removed: kernel-bug-exists-upstream
Download full text (4.4 KiB)

Hi, I've just tested with the latest upstream kernel
(linux-image-3.12.0-031200rc7-generic) and the problem persists just as
before. I've added/removed tags as suggested and marked the bug as
confirmed.

Best wishes,

Geoffrey

On 3 November 2013 16:23, Christopher M. Penalver <
<email address hidden>> wrote:

> Geoffrey Ferrari, could you please test the latest upstream kernel
> available (not the daily folder, but the one all the way at the bottom)
> following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow
> additional upstream developers to examine the issue. Once you've tested the
> upstream kernel, please comment on which kernel version specifically you
> tested. If this bug is fixed in the mainline kernel, please add the
> following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested. For
> example:
> kernel-fixed-upstream-v3.12-rc7
>
> This can be done by clicking on the yellow circle with a black pencil icon
> next to the word Tags located at the bottom of the bug description. As
> well, please remove the tag:
> needs-upstream-testing
>
> If the mainline kernel does not fix this bug, please add the following
> tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> As well, please remove the tag:
> needs-upstream-testing
>
> Once testing of the upstream kernel is complete, please mark this bug's
> Status as Confirmed. Please let us know your results. Thank you for your
> understanding.
>
> ** Tags removed: bios-outdated-0663
> ** Tags added: latest-bios-0663
>
> ** Tags removed: kernel-bug-exists-upstream
> ** Tags added: kernel-bug-exists-upstream-v3.12-rc4
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1238891
>
> Title:
> suspend/resume failure
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> The problem seems to be caused by a usb tv tuner - the cinergy
> terratec T2. With this device plugged in, attempting to suspend just
> results in the machine hanging.
>
> ProblemType: KernelOops
> DistroRelease: Ubuntu 13.10
> Package: linux-image-3.11.0-12-generic 3.11.0-12.19
> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
> Uname: Linux 3.11.0-12-generic x86_64
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> ApportVersion: 2.12.5-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ghf 1398 F.... pulseaudio
> Date: Fri Oct 11 18:06:32 2013
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> HibernationDevice: RESUME=UUID=11d11d4e-4a1d-491c-9887-05486ecf2e6f
> InstallationDate: Installed on 2013-09-18 (23 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> InterpreterPath: /usr/bin/python3.3
> MarkForUpload: True
> ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
> ProcEnviron:
> TERM=linux
> PATH=(custom, no user)
> ProcFB: 0 in...

Read more...

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.12-rc7
tags: removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Geoffrey Ferrari, did this problem not occur in a release prior to Saucy?

tags: removed: kernel-bug-exists-upstream-v3.12-rc4
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (3.2 KiB)

I was originally running 13.04 when I noticed the bug. I haven't ever tried
this combination of linux and usb tv tuner prior to 13.04.

Geoffrey

On Sunday, November 3, 2013, Christopher M. Penalver wrote:

> Geoffrey Ferrari, did this problem not occur in a release prior to
> Saucy?
>
> ** Tags removed: kernel-bug-exists-upstream-v3.12-rc4
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1238891
>
> Title:
> suspend/resume failure
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> The problem seems to be caused by a usb tv tuner - the cinergy
> terratec T2. With this device plugged in, attempting to suspend just
> results in the machine hanging.
>
> ProblemType: KernelOops
> DistroRelease: Ubuntu 13.10
> Package: linux-image-3.11.0-12-generic 3.11.0-12.19
> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
> Uname: Linux 3.11.0-12-generic x86_64
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> ApportVersion: 2.12.5-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ghf 1398 F.... pulseaudio
> Date: Fri Oct 11 18:06:32 2013
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> HibernationDevice: RESUME=UUID=11d11d4e-4a1d-491c-9887-05486ecf2e6f
> InstallationDate: Installed on 2013-09-18 (23 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> InterpreterPath: /usr/bin/python3.3
> MarkForUpload: True
> ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
> ProcEnviron:
> TERM=linux
> PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic
> root=UUID=e2fa14f6-f615-4684-be90-551be90cba4f ro quiet splash vt.handoff=7
> PulseList: Error: command ['pacmd', 'list'] failed with exit code 1:
> Daemon not responding.
> RelatedPackageVersions:
> linux-restricted-modules-3.11.0-12-generic N/A
> linux-backports-modules-3.11.0-12-generic N/A
> linux-firmware 1.116
> SourcePackage: linux
> Title: suspend/resume failure
> UpgradeStatus: Upgraded to saucy on 2013-10-01 (10 days ago)
> UserGroups:
>
> dmi.bios.date: 04/28/2011
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: JGIBX10J.86A.0656.2011.0428.1959
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: DH57JG
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70930-303
> dmi.chassis.type: 2
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrJGIBX10J.86A.0656.2011.0428.1959:bd04/28/2011:svn:pn:pvr:rvnIntelCorporation:rnDH57JG:rvrAAE70930-303:cvn:ct2:cvr:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1238891/+subscriptions
>

--
Geoffrey Ferrari
Lecturer in Philosophy
Jesus College

Mobile: 07989 851364
Work: <email address hidden> | Personal:
<email address hidden>....

Read more...

Geoffrey Ferrari, could you please provide the missing information following https://wiki.ubuntu.com/DebuggingKernelSuspend ?

tags: added: raring

Thank you, I'll do that tomorrow.

On Sunday, November 3, 2013, Christopher M. Penalver wrote:

> Geoffrey Ferrari, could you please provide the missing information
> following https://wiki.ubuntu.com/DebuggingKernelSuspend ?
>
> ** Tags added: raring
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1238891
>
> Title:
> suspend/resume failure
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> The problem seems to be caused by a usb tv tuner - the cinergy
> terratec T2. With this device plugged in, attempting to suspend just
> results in the machine hanging.
>
> ProblemType: KernelOops
> DistroRelease: Ubuntu 13.10
> Package: linux-image-3.11.0-12-generic 3.11.0-12.19
> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
> Uname: Linux 3.11.0-12-generic x86_64
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> ApportVersion: 2.12.5-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ghf 1398 F.... pulseaudio
> Date: Fri Oct 11 18:06:32 2013
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> HibernationDevice: RESUME=UUID=11d11d4e-4a1d-491c-9887-05486ecf2e6f
> InstallationDate: Installed on 2013-09-18 (23 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> InterpreterPath: /usr/bin/python3.3
> MarkForUpload: True
> ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
> ProcEnviron:
> TERM=linux
> PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic
> root=UUID=e2fa14f6-f615-4684-be90-551be90cba4f ro quiet splash vt.handoff=7
> PulseList: Error: command ['pacmd', 'list'] failed with exit code 1:
> Daemon not responding.
> RelatedPackageVersions:
> linux-restricted-modules-3.11.0-12-generic N/A
> linux-backports-modules-3.11.0-12-generic N/A
> linux-firmware 1.116
> SourcePackage: linux
> Title: suspend/resume failure
> UpgradeStatus: Upgraded to saucy on 2013-10-01 (10 days ago)
> UserGroups:
>
> dmi.bios.date: 04/28/2011
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: JGIBX10J.86A.0656.2011.0428.1959
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: DH57JG
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70930-303
> dmi.chassis.type: 2
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrJGIBX10J.86A.0656.2011.0428.1959:bd04/28/2011:svn:pn:pvr:rvnIntelCorporation:rnDH57JG:rvrAAE70930-303:cvn:ct2:cvr:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1238891/+subscriptions
>

--
Geoffrey Ferrari
Lecturer in Philosophy
Jesus College

Mobile: 07989 851364
Work: <email address hidden> | Personal:
<email address hidden>
Web: geoffreyferrari.com

Here's the output of cat /proc/acpi/wakeup

Here's the output of dmesg following the instructions at https://wiki.ubuntu.com/DebuggingKernelSuspend

My computer is a home built Mini ITX machine with an Intel DH57JG motherboard upgraded to the latest 0663 BIOS.

Geoffrey Ferrari, for regression testing purposes, could you please test Oneiric via http://old-releases.ubuntu.com/releases/oneiric/ and advise to the results?

I've just tested Oneiric as requested and the same problem occurs there.

This may be helpful extra information. When the Cinergy Terratec T2 is plugged in and working, it has a blue power LED which is on. When attempting to suspend, this light stays on, and so does the power light on my computer. I don't know much about hos suspending working, but this may indicate that this device is not being powered down and is preventing the computer from successfully suspending to sleep.

Geoffrey Ferrari, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-saucy/ and advise to the results?

tags: added: oneiric

The problem is still there with the latest mainline kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-saucy/ . Thanks for your continuing assistance.

Geoffrey Ferrari, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream ?

Please provide a direct URL to your post once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: kernel-bug-exists-upstream-v3.12
removed: kernel-bug-exists-upstream-v3.12-rc7
Changed in linux (Ubuntu):
status: Incomplete → Triaged
summary: - suspend/resume failure
+ 0ccd:0038 suspend/resume failure
summary: - 0ccd:0038 suspend/resume failure
+ 0ccd:0038 [Intel DH57JG] suspend/resume failure

As requested, I've sent a bug report to the <email address hidden> mailinglist here: http://article.gmane.org/gmane.linux.usb.general/97633

Geoffrey Ferrari, despite you having the problem with a USB device, given it's a suspend problem, you would want to send it to:
<email address hidden>

Other than that, the e-mail presentation looks great.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers